List recorded ordinary Automation runs
curl --request GET \
--url https://api.coderabbit.ai/v1/automations/{automation_id}/runs \
--header 'x-coderabbitai-api-key: <api-key>'import requests
url = "https://api.coderabbit.ai/v1/automations/{automation_id}/runs"
headers = {"x-coderabbitai-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-coderabbitai-api-key': '<api-key>'}};
fetch('https://api.coderabbit.ai/v1/automations/{automation_id}/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coderabbit.ai/v1/automations/{automation_id}/runs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-coderabbitai-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.coderabbit.ai/v1/automations/{automation_id}/runs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-coderabbitai-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.coderabbit.ai/v1/automations/{automation_id}/runs")
.header("x-coderabbitai-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coderabbit.ai/v1/automations/{automation_id}/runs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-coderabbitai-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"active_runs": [
{
"fireId": "<string>",
"dispatchKind": "scheduled_fire",
"status": "scheduled",
"scheduledFor": "2023-11-07T05:31:56Z",
"claimedAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"workflowRunId": "<string>",
"operationId": "<string>",
"phaseId": "<string>",
"continuationSeq": 4503599627370495,
"threadKey": "<string>",
"rootTs": "<string>",
"channelId": "<string>",
"runId": "<string>",
"replyTs": "<string>",
"resultSummary": "<string>",
"lastError": "<string>",
"openRunUrl": "<string>",
"taskId": "<string>",
"latestThinkingLines": [
"<string>"
]
}
],
"recent_runs": [
{
"fireId": "<string>",
"dispatchKind": "scheduled_fire",
"status": "scheduled",
"scheduledFor": "2023-11-07T05:31:56Z",
"claimedAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"workflowRunId": "<string>",
"operationId": "<string>",
"phaseId": "<string>",
"continuationSeq": 4503599627370495,
"threadKey": "<string>",
"rootTs": "<string>",
"channelId": "<string>",
"runId": "<string>",
"replyTs": "<string>",
"resultSummary": "<string>",
"lastError": "<string>",
"openRunUrl": "<string>",
"taskId": "<string>",
"latestThinkingLines": [
"<string>"
]
}
],
"next_offset": 4503599627370495
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "forbidden",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "not_found",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "head_changed",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "precondition_failed",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "payload_too_large",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "internal_error",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "unavailable",
"message": "<string>",
"retry_after": 4503599627370495
}
}List recorded ordinary Automation runs
Pass next_offset as offset to continue. Run records retain the native execution evidence field names.
GET
/
v1
/
automations
/
{automation_id}
/
runs
List recorded ordinary Automation runs
curl --request GET \
--url https://api.coderabbit.ai/v1/automations/{automation_id}/runs \
--header 'x-coderabbitai-api-key: <api-key>'import requests
url = "https://api.coderabbit.ai/v1/automations/{automation_id}/runs"
headers = {"x-coderabbitai-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-coderabbitai-api-key': '<api-key>'}};
fetch('https://api.coderabbit.ai/v1/automations/{automation_id}/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coderabbit.ai/v1/automations/{automation_id}/runs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-coderabbitai-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.coderabbit.ai/v1/automations/{automation_id}/runs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-coderabbitai-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.coderabbit.ai/v1/automations/{automation_id}/runs")
.header("x-coderabbitai-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coderabbit.ai/v1/automations/{automation_id}/runs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-coderabbitai-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"active_runs": [
{
"fireId": "<string>",
"dispatchKind": "scheduled_fire",
"status": "scheduled",
"scheduledFor": "2023-11-07T05:31:56Z",
"claimedAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"workflowRunId": "<string>",
"operationId": "<string>",
"phaseId": "<string>",
"continuationSeq": 4503599627370495,
"threadKey": "<string>",
"rootTs": "<string>",
"channelId": "<string>",
"runId": "<string>",
"replyTs": "<string>",
"resultSummary": "<string>",
"lastError": "<string>",
"openRunUrl": "<string>",
"taskId": "<string>",
"latestThinkingLines": [
"<string>"
]
}
],
"recent_runs": [
{
"fireId": "<string>",
"dispatchKind": "scheduled_fire",
"status": "scheduled",
"scheduledFor": "2023-11-07T05:31:56Z",
"claimedAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"workflowRunId": "<string>",
"operationId": "<string>",
"phaseId": "<string>",
"continuationSeq": 4503599627370495,
"threadKey": "<string>",
"rootTs": "<string>",
"channelId": "<string>",
"runId": "<string>",
"replyTs": "<string>",
"resultSummary": "<string>",
"lastError": "<string>",
"openRunUrl": "<string>",
"taskId": "<string>",
"latestThinkingLines": [
"<string>"
]
}
],
"next_offset": 4503599627370495
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "forbidden",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "not_found",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "head_changed",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "precondition_failed",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "payload_too_large",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "internal_error",
"message": "<string>",
"retry_after": 4503599627370495
}
}{
"error": {
"code": "unavailable",
"message": "<string>",
"retry_after": 4503599627370495
}
}Authorizations
API key for authentication. You can create an API key from the CodeRabbit dashboard.
Path Parameters
Minimum string length:
1Query Parameters
Git-provider organization ID. Required for workspace keys; omit for organization keys. This differs from the CodeRabbit organization ID in scope.id.
Minimum string length:
1Available options:
slack, discord, microsoft_teams Minimum string length:
1Required range:
0 <= x <= 9007199254740991Was this page helpful?